OpenStack Image Registry and Delivery Service (Glance)

Swift upload via Glance logs the password it's using

Reported by Ewan Mellor on 2011-12-29
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
High
Ewan Mellor
Diablo
Undecided
Unassigned

Bug Description

glance-api logs the password it's using when uploading to Swift:

Dec 29 00:57:53 os-vpx-96-2F-AC-00-69-D4 glance-glance.store.swift DEBUG swift _make_swift_connection Creating Swift connection with (auth_address=http://os-vpx-96-2f-ac-00-69-d4.openstack.com:5000/v1.0, user=root, key=citrix, snet=False)

Ewan Mellor (ewanmellor) on 2011-12-29
Changed in glance:
status: New → In Progress
assignee: nobody → Ewan Mellor (ewanmellor)
Brian Waldon (bcwaldon) wrote :

This is only a security issue if you're using something like syslog to send logs out to a different host. Otherwise, you could just look at the config file, right?

Ewan Mellor (ewanmellor) wrote :

Yes, exactly. And logs are often not as securely treated as the servers themselves -- they might be archived centrally, or off-site even.

Jay Pipes (jaypipes) wrote :

security creds should simply not be in debugging log messages... making this private for security concerns.

Changed in glance:
importance: Undecided → High
security vulnerability: no → yes
Changed in glance:
milestone: none → essex-3
tags: added: diablo-backport-needed

Reviewed: https://review.openstack.org/2726
Committed: http://github.com/openstack/glance/commit/7d61fefd26d396d5f4035484c9135f5c80623ff9
Submitter: Jenkins
Branch: master

commit 7d61fefd26d396d5f4035484c9135f5c80623ff9
Author: Ewan Mellor <email address hidden>
Date: Wed Dec 28 21:33:54 2011 -0800

    Bug #909538: Swift upload via Glance logs the password it's using

    Don't log the key used when creating a Swift connection.

    Change-Id: Ia9e7e6b7a14a6169b844ab40eb6adafeaf6d5542

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/2869
Committed: http://github.com/openstack/glance/commit/97cbf819e0954ca144a700654e60200ad2936277
Submitter: Jenkins
Branch: stable/diablo

commit 97cbf819e0954ca144a700654e60200ad2936277
Author: Ewan Mellor <email address hidden>
Date: Wed Dec 28 21:33:54 2011 -0800

    Bug #909538: Swift upload via Glance logs the password it's using

    Don't log the key used when creating a Swift connection.

    (cherry picked from commit 7d61fefd26d396d5f4035484c9135f5c80623ff9)

    Change-Id: Ia9e7e6b7a14a6169b844ab40eb6adafeaf6d5542

tags: added: in-stable-diablo
Thierry Carrez (ttx) on 2012-01-25
Changed in glance:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in glance:
milestone: essex-3 → 2012.1
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers